com.mysql.jdbc

## Class JDBC4MysqlSQLXML.SimpleSaxToReader

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - com.mysql.jdbc.JDBC4MysqlSQLXML.SimpleSaxToReader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

Enclosing class:
  JDBC4MysqlSQLXML

     class JDBC4MysqlSQLXML.SimpleSaxToReader
    extends org.xml.sax.helpers.DefaultHandler

### Field Summary

Fields
`(package private) java.lang.StringBuffer` `buf`

### Constructor Summary

Constructors
Constructor and Description
`JDBC4MysqlSQLXML.SimpleSaxToReader()`

### Method Summary

Methods
`void` `characters(char[] buf, int offset, int len)`
`void` `comment(char[] ch, int start, int length)`
`void` `endCDATA()`
`void` `endDocument()`
`void` `ignorableWhitespace(char[] ch, int start, int length)`
`void` `startCDATA()`
`void` `startDocument()`
`void` `startElement(java.lang.String namespaceURI, java.lang.String sName, java.lang.String qName, org.xml.sax.Attributes attrs)`
`(package private) java.io.Reader` `toReader()`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endElement, endPrefixMapping, error, fatalError, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buf

    java.lang.StringBuffer buf

### Constructor Detail

#### JDBC4MysqlSQLXML.SimpleSaxToReader

    JDBC4MysqlSQLXML.SimpleSaxToReader()

### Method Detail

#### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

Specified by:
  `startDocument` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

Specified by:
  `endDocument` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### startElement

    public void startElement(java.lang.String namespaceURI,
                    java.lang.String sName,
                    java.lang.String qName,
                    org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### characters

    public void characters(char[] buf,
                  int offset,
                  int len)
                    throws org.xml.sax.SAXException

Specified by:
  `characters` in interface `org.xml.sax.ContentHandler`
Overrides:
  `characters` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                           int start,
                           int length)
                             throws org.xml.sax.SAXException

Specified by:
  `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
Overrides:
  `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### comment

    public void comment(char[] ch,
               int start,
               int length)
                 throws org.xml.sax.SAXException

Throws:
  `org.xml.sax.SAXException`

#### toReader

    java.io.Reader toReader()